# Changelog for horizon-spec

## v0.6.2

* Add `IsString` instances to Text types.

## v0.6.1

* Re-export MkModifiers constructor.

## v0.6

* Change Overlay to wrap a `PackageSet` rather than a `PackageList`. The
  compiler field is needed for cabal preprocessing.

## v0.5

* Add `doBenchmark`, `includeBenchmarks`, `includeExecutables` and
  `includeTests` Modifiers.

## v0.4.1

* Add `PackagesDir` to the list of exports

## v0.4.0

* Add `HorizonExport` type for declaratively expressing
  export settings for horizon commands.
* Add `PackageSetExportSettings` for expressing package set
  export settings.
* Add `OverlayExportSettings` for expressing overlay
  export settings.

## v0.3.0

* Add `LocalSource` and `TarballSource` types
* Add `FromLocal` and `FromTarball` constructors to `HaskellSource`.
* rename `callCabal2nix to `callGit`.

## v0.2.1

* Update cabal information.
* Drop down from GHC2021 -> Haskell2010 for hackage.

## v0.2

* Export `Overlay` and `PackageList`.
* `PackageSet now contains a `PackageList`

## v0.1

* Add dhall types `Name`, `Version`, `Revision`, `Subdir`, `Url'.
* `GitSource.revision` is no longer `Optional`.
* Add 'Modifiers.enableProfiling` option with default `True`.

## v0.0.0.3

* Rename `HsSrc` to `HaskellSource`
* Rename `HsPkg` to `HaskellPackage`
* Add `Compiler`.
* Add `PackageSet{compiler, packages}`.

## v0.0.0.2

* Add `CabalFlag`.
* Add `flags :: [CabalFlag]` to `HsPkg`.

## v0.0.0.1

* Initial Specification of Horizon data types.
* Two different sources, `GitSource` and `HackageSource`.
* `doJailbreak` and `doCheck` package `Modifiers`.
